package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseFindRequest;
import ${domain}.frame.validation.Dict;

import java.util.Date;

/**
 * TaskSqlFindRequest - SQL任务查询
 *
 * @author author
 * @version 0.0.1
 * @since 2020-05-24
 */
public class TaskSqlFindRequest extends BaseFindRequest {

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 详细注释
     */
    private String taskNote;

    /**
     * 任务类型
     */
    @Dict(name = "TASK_TYPE")
    private String taskType;

    /**
     * 是否有效
     */
    private Boolean valid;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getTaskName() {
        return this.taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskNote() {
        return this.taskNote;
    }

    public void setTaskNote(String taskNote) {
        this.taskNote = taskNote;
    }

    public String getTaskType() {
        return this.taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
